Package net.shibboleth.idp.session.impl

# Class LogoutStatusStrategyFunction

java.lang.Object
net.shibboleth.idp.session.impl.LogoutStatusStrategyFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,List<String>>`

public class LogoutStatusStrategyFunction extends Object implements Function<ProfileRequestContext,List<String>>
A strategy function for determining the status of a logout based on the content of a `LogoutContext`.

It signals an error if the context still contains any `IdPSession` objects, indicating a logout was cancelled.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,LogoutContext>`
`logoutContextLookupStrategy`
Lookup strategy for context.

## Constructor Summary

Constructors
Constructor
Description
`LogoutStatusStrategyFunction()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`apply(ProfileRequestContext input)`
`void`
`setLogoutContextLookupStrategy(Function<ProfileRequestContext,LogoutContext> strategy)`
Set the lookup strategy for the LogoutContext to access.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### logoutContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,LogoutContext> logoutContextLookupStrategy
Lookup strategy for context.

## Constructor Details

### LogoutStatusStrategyFunction

public LogoutStatusStrategyFunction()
Constructor.

## Method Details

### setLogoutContextLookupStrategy

public void setLogoutContextLookupStrategy(@Nonnull Function<ProfileRequestContext,LogoutContext> strategy)
Set the lookup strategy for the LogoutContext to access.

Parameters:
  `strategy` - lookup strategy

### apply

@Nullable @Unmodifiable @NotLive public List<String> apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,List<String>>`